use colored::Colorize;

pub fn info_msg(msg: &str) {
    let fmt_msg = format!("[info] {msg}");
    println!("{fmt_msg}");
}

pub fn todo_msg(msg: &str) {
    let fmt_msg = format!("[todo] {msg} 🛠️ ");
    eprintln!("{}", fmt_msg.black().bold().on_yellow());
}

pub fn warn_msg(msg: &str) {
    let fmt_msg = format!("[warn] {msg} 👽");
    eprintln!("{}", fmt_msg.red());
}

pub fn err_msg(msg: &str) {
    let fmt_msg = format!("[err] {msg} 💀");
    eprintln!("{}", fmt_msg.red().bold());
}
